Name:           pulseview
Version:        r2523.32ca7966
Epoch:          100
Release:        nightly%{?dist}
Summary:        Signal acquisition and analysis GUI for sigrok
# Combined GPLv3+ (libsigrok and libsigrokdecode) and GPLv2+ (pulseview)
License:        GPLv3+
URL:            http://www.sigrok.org

Source0:        %{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  boost-devel
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  pkgconfig(libsigrokcxx)
BuildRequires:  pkgconfig(libsigrokdecode)

Requires:       hicolor-icon-theme
Requires:       qt5-qttranslations
# https://bugzilla.redhat.com/show_bug.cgi?id=1819609
# needed for plugins that handle displaying SVG graphics
Requires:       qt5-qtsvg

%description
PulseView is an application for enabling data acquisition and analysis with
test and measurement devices such as logic analyzers, oscilloscopes,
mixed-signal devices, digital multimeters and sensors, etc. It uses sigrok
libraries under the hood.


%prep
%autosetup


%build
%cmake -DCMAKE_BUILD_TYPE=Release -DDISABLE_WERROR=True
%cmake_build


%install
%cmake_install

# Why you install appdata in bad location, you sigrok upstream?
mv %{buildroot}/%{_datadir}/metainfo %{buildroot}/%{_datadir}/appdata

desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/org.sigrok.PulseView.desktop

appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml


%files
%license COPYING
%doc NEWS README
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/applications/org.sigrok.PulseView.desktop
%{_datadir}/icons/hicolor/48x48/apps/pulseview.png
%{_datadir}/icons/hicolor/scalable/apps/pulseview.svg
%{_datadir}/appdata/org.sigrok.PulseView.appdata.xml


%changelog
* Thu Jan 13 2022 Aimylios <aimylios@xxx.xx>
- Remove patch to fix broken build due to C++ template behind C linkage

* Thu May 13 2021 Aimylios <aimylios@xxx.xx>
- Add patch to fix broken build due to C++ template behind C linkage

* Tue Feb 16 2021 Aimylios <aimylios@xxx.xx>
- Correctly package license and documentation

* Sat Nov 7 2020 Aimylios <aimylios@xxx.xx>
- Update usage of cmake macros
- Update dependencies on qt5

* Fri May 1 2020 Aimylios <aimylios@xxx.xx>
- Add qt5-qttranslations as runtime dependency

* Sun Aug 5 2018 Aimylios <aimylios@xxx.xx>
- Initial release based on 0.4.0-10.fc29
